=== debian/changelog ===
libgc (1:7.6.4-0.4ubuntu1) focal; urgency=medium

  * debian/patches/riscv64.diff: Add back riscv64 support, NMUed but later
    dropped.
  * Update symbols for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Sun, 05 Apr 2020 18:43:00 +1000

libgc (1:7.6.4-0.4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:08 +0100

libgc (1:7.6.4-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols files for KFreeBSD.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Sep 2018 15:25:27 +0200

libgc (1:7.6.4-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files for various architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Sep 2018 13:58:06 +0200

libgc (1:7.6.4-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Update symbols files for various architectures.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Sep 2018 11:25:05 +0200

libgc (1:7.6.4-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Bump standards and debhelper versions.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Sep 2018 17:17:59 +0200

libgc (1:7.4.4-1) experimental; urgency=medium

  * New upstream release
  * Import fixes for CVE-2016-9427 (Integer overflow in GC_MALLOC_ATOMIC)
    from upstream 7.4 branch (Closes: #844771)
  * Disable fix-location-of-assembly-files.diff, included upstream

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Nov 2016 13:59:24 +0100

libgc (1:7.4.2-8) unstable; urgency=medium

  * Fix symbols for nios (Closes: #822445), Thanks to Helmut for report
    + patch!

 -- Christoph Egger <christoph@debian.org>  Tue, 17 May 2016 16:31:02 +0200

libgc (1:7.4.2-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Import symbols for alpha (Closes: #818356)
  * Import symbols for powerpcspe (Closes: #818608)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 18 Mar 2016 17:18:10 +0100
