## libgc 8.0.4

=== debian/changelog ===
libgc (1:8.0.4-3) unstable; urgency=medium

  * Fix cross/native difference: explicitly disable usage of
    -latomic_ops. (Helmut Grohne). Closes: #966820.
  * Fix misaligned tlfs passed to AO_load on m68k. Closes: #968553, #971548.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 12:44:00 +0100

libgc (1:8.0.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols files for kfreebsd-*. (Closes: #968385)

 -- Christoph Berg <myon@debian.org>  Tue, 27 Oct 2020 14:32:21 +0100

libgc (1:8.0.4-2) unstable; urgency=medium

  * Fix missing libgc-dev -> libatomic-ops-dev dependency (Helmut Grohne).
    Closes: #966651.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2020 18:53:35 +0200

libgc (1:8.0.4-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 02:37:12 +0200

libgc (1:8.0.4-1~exp4) experimental; urgency=medium

  * Team upload.
  * Update symbols file for riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Apr 2020 10:21:02 +0200

libgc (1:8.0.4-1~exp3) experimental; urgency=medium

  * Team upload.
  * Update symbols files.
  * Rename libgc1c2 to libgc1, some missing symbols.
  * Lower priority to optional.
  * Bump debhelper to v11.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Apr 2020 12:48:04 +0200

libgc (1:8.0.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - Missing symbols: GC_fault_handler_lock, GC_start_debugging,
      GC_store_debug_info, GC_unix_sbrk_get_mem.
  * Configure with --enable-static --enable-docs.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Apr 2020 12:03:18 +0200
