=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 LDFLAGS += -pthread
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+ATOMIC_BUILTIN_ARCHS = alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
+endif
+
 %:
 	dh $@ --with pkgkde_symbolshelper,autoreconf
 
@@ -15,6 +19,8 @@
 	./configure \
 		$(CONFIG_OPTS) \
 		--enable-cplusplus \
+		--enable-static \
+		--enable-docs \
 		--disable-dependency-tracking \
 		--with-tags=CXX \
 		--prefix=/usr \
@@ -24,7 +30,8 @@
 		--datadir=\$${prefix}/share/doc \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		$(if $(filter $(DEB_HOST_ARCH),$(ATOMIC_BUILTIN_ARCHS)),--with-libatomic-ops=none)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -34,7 +41,7 @@
 override_dh_install:
 	install -D doc/gc.man debian/tmp/usr/share/man/man3/gc_malloc.3
 	dh_install
-	rm debian/libgc-dev/usr/share/doc/libgc1c2/README.environment
+	rm debian/libgc-dev/usr/share/doc/libgc1/README.environment
 
 override_dh_auto_clean:
 	[ -d libatomic_ops-1.2 ] || [ ! -d libatomic_ops-1.2.bak ] || mv libatomic_ops-1.2.bak libatomic_ops-1.2
@@ -43,3 +50,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vatomic:Depends=$$(grep -q '[-]latomic_ops' debian/libgc-dev/usr/lib/*/pkgconfig/*.pc && echo libatomic-ops-dev)
