=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
http://www.hboehm.info/gc/gc_source/ gc-(.*).tar.gz
