=== debian/changelog ===
libgc (1:8.0.6-1.1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:12:16 +0100

libgc (1:8.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload. ((Closes: #999740)
  * New upstream version 8.0.6
  * Update to point to salsa
  * Update symbols for 8.0.6
  * Drop enable-threads-on-hurd.diff and issue329.diff

 -- Ian Wienand <ianw@debian.org>  Fri, 26 Nov 2021 09:12:33 +1100

libgc (1:8.0.4-3+alpha.1) unreleased; urgency=medium

  * Update symbols on Alpha (fixing FTBFS).

 -- Michael Cree <mcree@orcon.net.nz>  Fri, 26 Mar 2021 08:19:12 +1300
