=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libgc
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Uploaders: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Section: libs
 Priority: optional
@@ -9,8 +10,7 @@
  pkg-kde-tools
 Standards-Version: 4.5.1
 Homepage: http://www.hboehm.info/gc/
-#Vcs-Git: git://anonscm.debian.org/collab-maint/libgc.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgc.git
+Vcs-Git: https://salsa.debian.org/debian/libgc
 
 Package: libgc1
 Architecture: any
