## libgc 8.2.2

=== debian/changelog ===
libgc (1:8.2.2-3) unstable; urgency=medium

  * Fix pthread symbol exports for hurd/kfreebsd
  * Demangle C++ names in symbols file

 -- Ian Wienand <ianw@debian.org>  Tue, 06 Sep 2022 18:30:14 +1000

libgc (1:8.2.2-2) unstable; urgency=medium

  * Remove libatomic_ops as a build-dep;
    remove matching from build to simplify future
    porting.
  * libgccpp.so.1 : add back differing 32-bit C++ symbols
    (Closes: #1018924)


 -- Ian Wienand <ianw@debian.org>  Mon, 05 Sep 2022 21:17:49 +1000

libgc (1:8.2.2-1) unstable; urgency=medium

  * Update watch/control upstream links to https
  * libgc-dev: remove duplicate doc copy
  * Remove libatomic_ops handling
  * Add .gitignore
  * Build static and dynamic separately
  * Use common config options for static/dynamic
  * Update debian/watch to github source
  * Add ianw@debian.org as uploader
  * New upstream version 8.2.2
  * Update watch/control upstream links to https
  * libgc-dev: remove duplicate doc copy
  * Remove libatomic_ops handling
  * Add .gitignore
  * Build static and dynamic separately
  * Use common config options for static/dynamic
  * Update debian/watch to github source
  * Add ianw@debian.org as uploader
  * New upstream version 8.2.2
  * Update symbols file for 8.2.2

 -- Ian Wienand <ianw@debian.org>  Wed, 31 Aug 2022 15:11:15 +1000
