=== debian/changelog ===
libgc (1:8.2.6-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:03:52 +0200

libgc (1:8.2.6-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/libgc1.symbols: Generalize hurd-i386 into hurd-any.

  [ Ian Wienand ]
  * New upstream version 8.2.6

 -- Ian Wienand <ianw@debian.org>  Mon, 05 Feb 2024 20:57:09 +1100
