=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libgc
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Uploaders: Debian GCC Maintainers <debian-gcc@lists.debian.org>, Ian Wienand <ianw@debian.org>
 Section: libs
 Priority: optional
