## libgc 8.2.8

=== debian/changelog ===
libgc (1:8.2.8-1) unstable; urgency=medium

  * New upstream version 8.2.8

 -- Ian Wienand <ianw@debian.org>  Fri, 13 Sep 2024 08:37:02 +1000

libgc (1:8.2.6-2) unstable; urgency=medium

  * Fix debian/watch for github API
  * debian/control: update dependency pkg-config -> pkgconf
  * Add libgc1.lintian-overrides
  * debian: update debheper compat
  * control: add Vcs-browser also
  * control: mark as rootless
  * changelog: remove trailing whitespace

 -- Ian Wienand <ianw@debian.org>  Fri, 21 Jun 2024 10:04:46 +1000
