=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libgc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Christoph Egger <christoph@debian.org>
 Uploaders: Debian GCC Maintainers <debian-gcc@lists.debian.org>, Ian Wienand <ianw@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
- pkg-config,
+Build-Depends: debhelper-compat (= 13),
+ pkgconf,
  pkg-kde-tools
 Standards-Version: 4.5.1
 Homepage: https://www.hboehm.info/gc/
+Vcs-Browser: https://salsa.debian.org/debian/libgc
 Vcs-Git: https://salsa.debian.org/debian/libgc
+Rules-Requires-Root: no
 
 Package: libgc1
 Architecture: any
