=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/gc-@ANY_VERSION@.tar.gz%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/ivmai/bdwgc/releases?per_page=50 \
https://github.com/ivmai/bdwgc/releases/download/v?\d[\.\da-zA-Z]*/gc-@ANY_VERSION@.tar.gz
