## libgc 8.2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Copyright (c) 1996 by Silicon Graphics.  All rights reserved.
 # Copyright (c) 1998 by Fergus Henderson.  All rights reserved.
 # Copyright (c) 2000-2010 by Hewlett-Packard Company.  All rights reserved.
-# Copyright (c) 2010-2021 Ivan Maidanski
+# Copyright (c) 2010-2024 Ivan Maidanski
 ##
 # THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
 # OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
@@ -22,16 +22,16 @@
 #  this will generate gc.sln
 #
 
-cmake_minimum_required(VERSION 3.5)
-
-set(PACKAGE_VERSION 8.2.6)
+cmake_minimum_required(VERSION 3.10)
+
+set(PACKAGE_VERSION 8.2.10)
 # Version must match that in AC_INIT of configure.ac and that in README.
 # Version must conform to: [0-9]+[.][0-9]+[.][0-9]+
 
 # Info (current:revision:age) for the Libtool versioning system.
 # These values should match those in cord/cord.am and Makefile.am.
 set(LIBCORD_VER_INFO    6:1:5)
-set(LIBGC_VER_INFO      6:3:5)
+set(LIBGC_VER_INFO      6:5:5)
 set(LIBGCCPP_VER_INFO   6:0:5)
 
 option(enable_cplusplus "C++ support" OFF)
@@ -138,17 +138,23 @@
 # Output all warnings.
 if (BORLAND)
   # All warnings except for particular ones.
-  add_compile_options(/w /w-pro /w-aus /w-par /w-ccc /w-inl /w-rch)
+  add_compile_options(/w /w-aus /w-ccc /w-inl /w-par /w-pro /w-rch /w-use)
 elseif (MSVC)
   # All warnings but ignoring "unreferenced formal parameter" and
   # "conditional expression is constant" ones.
   add_compile_options(/W4 /wd4100 /wd4127)
 elseif (WATCOM)
   add_compile_options(/wx)
-  if (NOT enable_threads)
-    # Suppress "unreachable code" warning in GC_ASSERT(I_HOLD_LOCK()).
+  if (enable_gc_assertions)
+    # Suppress "unreachable code" warning in GC_ASSERT() if some constant
+    # non-zero expression is given as the argument.
     add_compile_options(/wcd=201)
   endif()
+  if (enable_threads)
+    # Suppress "missing return value" wcc warning for AO_test_and_set_full()
+    # and AO_char_fetch_and_add_full() in AO msftc/x86.h file.
+    add_compile_options($<$<COMPILE_LANGUAGE:C>:/wcd=107>)
+  endif(enable_threads)
 else()
   # TODO add -[W]pedantic -Wno-long-long
   add_compile_options(-Wall -Wextra)
@@ -191,6 +197,12 @@
   else()
     set(THREADDLLIBS_LIST ${THREADDLLIBS_LIST} ${CMAKE_DL_LIBS})
   endif()
+  if (BORLAND)
+    # Workaround "cannot locate assembly file" and "out of hash space"
+    # compilation errors, "restarting compile using assembly" warning.
+    add_definitions("-DAO_NO_ASM_XADD")
+    add_definitions("-DAO_NO_ASM_XCHG")
+  endif()
 endif(enable_threads)
 
 set(ATOMIC_OPS_LIBS "") # TODO: Assume libatomic_ops library is not needed.
@@ -297,20 +309,3 @@
 endif()
 
 if (enable_gc_debug)
-  add_definitions("-DDBG_HDRS_ALL -DKEEP_BACK_PTRS")
-  if (HOST MATCHES i.86-.*-dgux.*|ia64-.*-linux.*|i586-.*-linux.*|i686-.*-linux.*|x86-.*-linux.*|x86_64-.*-linux.*)
-    add_definitions("-DMAKE_BACK_GRAPH")
-    if (HOST MATCHES .*-.*-.*linux.*)
-      add_definitions("-DSAVE_CALL_COUNT=8")
-    endif()
-    set(SRC ${SRC} backgraph.c)
-  endif()
-endif(enable_gc_debug)
-
-if (disable_gc_debug)
-  add_definitions("-DNO_DEBUGGING")
-elseif (WINCE)
-  # Read environment variables from "<program>.gc.env" file.
-  add_definitions("-DGC_READ_ENV_FILE")
-endif()
-
