=== debian/changelog ===
libgc (1:8.2.10-1) unstable; urgency=medium

  * New upstream version 8.2.10
  * Update debian/watch
  * Update homepage link to github
  * Update standards version

 -- Ian Wienand <ianw@debian.org>  Mon, 20 Oct 2025 20:57:29 +1100
