=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
  pkgconf,
  pkg-kde-tools
-Standards-Version: 4.5.1
-Homepage: https://www.hboehm.info/gc/
+Standards-Version: 4.7.2.0
+Homepage: https://github.com/bdwgc/bdwgc
 Vcs-Browser: https://salsa.debian.org/debian/libgc
 Vcs-Git: https://salsa.debian.org/debian/libgc
 Rules-Requires-Root: no
