## libgc 8.2.12

=== debian/changelog ===
libgc (1:8.2.12-1) unstable; urgency=medium

  * New upstream version 8.2.12 (Closes: #1125780)

 -- Ian Wienand <ianw@debian.org>  Sat, 07 Feb 2026 07:59:42 +1100
